Name:           djview4
Version:        4.10.6
Release:        %mkrel 1
Summary:        DjVu viewer and browser plugin
License:        GPLv2+
Group:          Publishing
URL:            http://djvu.sourceforge.net/djview4.html
Source0:        djview-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:  %{_lib}djvulibre-devel >= 3.5.18
BuildRequires:	qtcore5-devel
BuildRequires:	qtgui5-devel
BuildRequires:	qtnetwork5-devel
BuildRequires:	qtopengl5-devel
BuildRequires:	qtprintsupport5-devel
BuildRequires:	qtwidgets5-devel
BuildRequires:  qthelp5-devel
BuildRequires:  %{_lib}tiff-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This package contains the djview4 viewer and browser plugin.

Highlights:

- Entirely based on the public djvulibre API.
- Entirely written in portable Qt4/Qt5.
- Works with Qt/X11, Qt/Mac, and Qt/Windows.
- Continuous scrolling of pages.
- Side-by-side display of pages.
- Ability to specify a URL to the djview command.
- All plugin and CGI options available from the command line.
- All silly annotations implemented.
- Display thumbnails as a grid.
- Display outlines.
- Page names supported (see djvused command set-page-title).
- Metadata dialog (see djvused command set-meta).
- Mmplemented as reusable Qt widgets.

%package -n mozilla-plugin-dejavu
Summary:        UNIX-based DjVu Netscape plugin
Group:          Publishing
Requires:       %{name} = %{version}-%{release}
Obsoletes:      djvulibre-browser-plugin < %{version}-%{release}
Provides:       djvulibre-browser-plugin = %{version}-%{release}

%description -n mozilla-plugin-dejavu
UNIX-based DjVu Netscape plugin.

%prep
%setup -q -n djview-%{version}

%build
%{configure2_5x}
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
# create link, to the binary which is references as djview4 in the desktop file
# but is created just as djview
ln -s %{_bindir}/djview %{buildroot}%{_bindir}/djview4

%{_bindir}/desktop-file-install \
  --vendor="" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="Graphics" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --add-category="Viewer" \
  --dir %{buildroot}%{_datadir}/applications desktopfiles/djvulibre-djview4.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc COPYING COPYRIGHT INSTALL NEWS README README_translations
%attr(0755,root,root) %{_bindir}/djview
%attr(0755,root,root) %{_bindir}/djview4
%{_datadir}/djvu/djview4/
%{_mandir}/man1/djview.1*
%{_datadir}/applications/djvulibre-djview4.desktop
%{_datadir}/icons/hicolor/*/mimetypes/djvulibre-djview4.*

%files -n mozilla-plugin-dejavu
%defattr(0644,root,root,0755)
%doc nsdejavu/README
%attr(0755,root,root) %{_libdir}/mozilla/plugins/nsdejavu.so
%{_mandir}/man1/nsdejavu.1*
%exclude %{_libdir}/mozilla/plugins/nsdejavu.la


%changelog
* Fri Dec 30 2016 ghostbunny <ghostbunny at gmx dot de> 4.10.6-1pclos2017
- 4.10.6
- switch to qt5 build

* Thu Aug 21 2014 Agent Smith <ruidobranco@yahoo.com.br> 4.9.1-1pclos2014
- Added dependency of libqt4-devel, libtiff-devel and libdjvulibre-devel for both archs(32/64), 
- updated the package with the latest source.

* Sat Oct 15 2011 Texstar <texstar at gmail.com> 4.8.1-1pclos2011
- 4.8.1
